package dev.pfaff.altargui.texture;

import java.net.http.HttpClient;
import java.util.concurrent.Executors;

public final class UrlTextureLoader {
	final HttpClient client = HttpClient.newBuilder()
			.executor(Executors.newVirtualThreadPerTaskExecutor())
			.build();

	public UrlLoadableResource get(String url) {
		return new UrlLoadableResource(this, url);
	}
}
